#55 Change Display of Currency

closed-works-for-me
None
1
2006-12-12
2006-11-21
Devin Bayer
No

Currently in the list of recharges the currency looks very similar to the time. I would like my custom currency format to be applied to this list and in fact all displays of currency.

Discussion

  • Logged In: YES
    user_id=1111623
    Originator: NO

    What is your current currency format (in the Server options) ?
    Cybera does apply the currency format to lists but does not add the currency symbol as this would not be very useful I think. Also in cerain parts of the world like west Africa, the currency symbol is 'FCFA'. This is fery long and would take up to much space in the lists.

    Sam.

     
    • assigned_to: nobody --> smonsarr
    • priority: 5 --> 1
    • status: open --> pending-works-for-me
     
  • Devin Bayer
    Devin Bayer
    2006-11-27

    • status: pending-works-for-me --> open-works-for-me
     
  • Devin Bayer
    Devin Bayer
    2006-11-27

    Logged In: YES
    user_id=153308
    Originator: YES

    Well that's my problem. It doesn't display the currency symbol. When I tried to force it to display the currency symbol by putting it directly in the format box, I got a bunch of nonsense in the formatted currencies.

    What I mean is when I put "D###.##" in the currency format box I got something like "## D 45##" displayed as a currency, where the pound signs were displayed and the numbers were all wrong.

    The reason I need the currency symbol displayed is because in the little test used to display the recharges it's confusing which is the price and which the time. For example we had this:

    00:00:05 0.00 Free
    00:01:00 30.00 Large
    00:00:30 15.00 Medium
    00:00:15 10.00 Small

    Look at how those numbers 30 and 15 appear right next to each other on adjacent rows. So often when learning the system the cafe administrators click the wrong one. Also all those nonsense zeros to the left and right just make it harder to read. I tried removing the fractinal part of the currency put it doesn't help much.

    So these recharges need to be easier to read. Thinking about it more I suggest a few changes:

    * After clicking the recharge button the only important information is the list of recharges. But it's displayed so small. It should be much larger - preferable a big button for each.
    * The currency needs to look like the currency. This means it has the symbol
    * Remove all the leading zeros on the time.

    P.S. This is in West Africa. Ease of use is paramount here because even the cafe administrators aren't very computer literate. Cybera is pretty easy to use but there is room for improvement.

     
    • status: open-works-for-me --> pending-works-for-me
     
  • Logged In: YES
    user_id=1111623
    Originator: NO

    In the up-coming rel 1.9 you will find:
    - The font size of the recharge table in the recharge screen is larger.
    - In this table (and only this table) the currency value is now displayed.

    For the moment I will not change the time display format, maybe later. But these changes should help.
    Sam.

     
  • Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
    • status: pending-works-for-me --> closed-works-for-me